

<link rel="stylesheet" href="bootstrap/bootstrap.min.css">
<script>
    export let data;
    import Reseaux from "./reseaux.svelte";
    import '../app.css'
    import '../bootstrap/bootstrap.min.css'
    let src = `/profil_pictures/${data.pic}`
</script>

<header>

    <a href="/"><img class="illustration_logo" src="/logos/logo_sombre_transparent.png" alt="logo.png"></a>
    
    
    <element>
        <a href="/equipe/">notre équipe</a>
    </element>
    
    <div class="empty"></div>
    
    {#if !!data.pseudo}
    <div class="profil_connecte">
    
        {#if !!data.pic}
            <img class="profil_photo" src={src} alt="profile_picture">
        {:else}
            <img class="profil_photo" src="/icon/defaut_photo_profil.png" alt="profile_picture">
        {/if}
        <div class="info_profil">
            
            <div>{data.pseudo}</div>
        </div>
        <img class="menu_icon" src="/icon/menu_icon.png" alt="menu">
        
    </div>
    {:else}
      <div class="profil_non_connecte">
        <img class="profil_photo" src="/icon/defaut_photo_profil.png" alt="profile_picture">
        <a class="profil_link" href="/connexion_compte/">Connexion</a>
    
    </div>
    {/if}
    
    <div class="tmp"></div>
    
  

</header>

<slot />

<Reseaux />

<style>

header {

    background-color: #193b36;
    color: #f5b81e;
    
    display: flex;
    flex-direction: row;

    align-items: center;

    font-family: impact, sans-serif;
    font-size: 150%;
    letter-spacing: 2%;
    word-spacing: 10%;

    border-radius: 20px;

    height: 100%;
    width: 90%;
}

a {
    margin-left: 1%;
    text-decoration: none;
}

a:link {
    color: #f5b81e
}

a:visited {
    color: #f5b81e
}

a:hover {
    text-decoration: underline;
}

.illustration_logo {

    width: 25%;

}

.profil_connecte {
    
    background-color: #f5b81e;
    color: black;

    height: 95px;
    width: 300px;

    border-radius: 20px;

    display: flex;
    flex-direction: row;
    align-items: center;

}

.profil_non_connecte {
    
    background-color: #f5b81e;
    color: black;

    height: 95px;
    width: 250px;

    border-radius: 20px;

    display: flex;
    flex-direction: row;
    align-items: center;

}

.profil_photo {

    border-radius: 50%;
    width: 85px;
    height: 85px;
    object-fit: cover;
    margin-left: 10px;
    margin-right: 10px;

}

.empty {

    width: 600px;

}

a.profil_link {

    color: black;

}

.info_profil {

    display: flex;
    flex-direction: column;
    align-items: left;

    width: 120px;

}

.menu_icon {

    height: 50px;
    width: 50px;

}

.tmp {

    width:10px;

}

</style>

